org.apache.synapse.commons.json

## Class Constants

- java.lang.Object
- - org.apache.synapse.commons.json.Constants

-     public final class Constants
      extends java.lang.Object

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static int` | `C_DOLLOR` The Dollar character
    `static int` | `C_USOCRE` The underscore character
    `static java.lang.String` | `ID`
    `static java.lang.String` | `ID_KEY`
    `static java.lang.String` | `JSON_STRING`
    `static java.lang.String` | `K_ARRAY` The JSON Key for wrapper type anonymous JSON array
    `static java.lang.String` | `K_ARRAY_ELEM` The JSON Key for wrapper type anonymous JSON array elements
    `static java.lang.String` | `K_OBJECT` The JSON Key for wrapper type JSON Object
    `static java.lang.String` | `ORG_APACHE_SYNAPSE_COMMONS_JSON_JSON_INPUT_STREAM`
    `static java.lang.String` | `PRECEDING_DIGIT` Final prefix for local names that have preceding digits
    `static java.lang.String` | `PRECEDING_DIGIT_S` Used when the local name starts with a digit character.
    `static java.lang.String` | `PRECEDING_DOLLOR`
    `static java.lang.String` | `PRECEDING_DOLLOR_S` Used when the local name starts with the $ character.
    `static java.lang.String` | `PRESERVE_SPACES`
    `static java.lang.String` | `SET_CONTENT_TYPE_CHARACTER_ENCODING`
    `static java.lang.String` | `SYNAPSE_COMMONS_ENABLE_XML_NIL_READ_WRITE`
    `static java.lang.String` | `SYNAPSE_COMMONS_ENABLE_XML_NULL_FOR_EMPTY_ELEMENT`
    `static java.lang.String` | `SYNAPSE_COMMONS_JSON_BUILD_VALID_NC_NAMES`
    `static java.lang.String` | `SYNAPSE_COMMONS_JSON_DISABLE_AUTO_PRIMITIVE_CUSTOM_REPLACE_REGEX`
    `static java.lang.String` | `SYNAPSE_COMMONS_JSON_DISABLE_AUTO_PRIMITIVE_CUSTOM_REPLACE_SEQUENCE`
    `static java.lang.String` | `SYNAPSE_COMMONS_JSON_OUTPUT_AUTO_PRIMITIVE`
    `static java.lang.String` | `SYNAPSE_COMMONS_JSON_OUTPUT_DISABLE_AUTO_PRIMITIVE_REGEX`
    `static java.lang.String` | `SYNAPSE_COMMONS_JSON_OUTPUT_EMPTY_XML_ELEM_TO_EMPTY_STR`
    `static java.lang.String` | `SYNAPSE_COMMONS_JSON_OUTPUT_ENABLE_NS_DECLARATIONS`
    `static java.lang.String` | `SYNAPSE_COMMONS_JSON_OUTPUT_JSON_OUT_AUTO_ARRAY`
    `static java.lang.String` | `SYNAPSE_COMMONS_JSON_OUTPUT_JSON_OUT_MULTIPLE_PI`
    `static java.lang.String` | `SYNAPSE_COMMONS_JSON_OUTPUT_NAMESPACE_SEP_CHAR`
    `static java.lang.String` | `SYNAPSE_COMMONS_JSON_OUTPUT_XML_OUT_AUTO_ARRAY`
    `static java.lang.String` | `SYNAPSE_COMMONS_JSON_OUTPUT_XML_OUT_MULTIPLE_PI`
    `static java.lang.String` | `SYNAPSE_COMMONS_JSON_PRESERVE_NAMESPACE`
    `static java.lang.String` | `SYNAPSE_JSON_TO_XML_PROCESS_INSTRUCTION_ENABLE` Property to inform Staxon library to include xml multiple processing instruction in JSON -> XML transformation

  - ### Method Summary

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### JSON_STRING

          public static final java.lang.String JSON_STRING

      See Also:
        Constant Field Values

    - #### K_OBJECT

          public static final java.lang.String K_OBJECT

      The JSON Key for wrapper type JSON Object
      See Also:
        Constant Field Values

    - #### K_ARRAY

          public static final java.lang.String K_ARRAY

      The JSON Key for wrapper type anonymous JSON array
      See Also:
        Constant Field Values

    - #### K_ARRAY_ELEM

          public static final java.lang.String K_ARRAY_ELEM

      The JSON Key for wrapper type anonymous JSON array elements
      See Also:
        Constant Field Values

    - #### ID

          public static final java.lang.String ID

      See Also:
        Constant Field Values

    - #### PRECEDING_DIGIT_S

          public static final java.lang.String PRECEDING_DIGIT_S

      Used when the local name starts with a digit character.
      See Also:
        Constant Field Values

    - #### PRECEDING_DIGIT

          public static final java.lang.String PRECEDING_DIGIT

      Final prefix for local names that have preceding digits
      See Also:
        Constant Field Values

    - #### PRECEDING_DOLLOR_S

          public static final java.lang.String PRECEDING_DOLLOR_S

      Used when the local name starts with the $ character.
      See Also:
        Constant Field Values

    - #### PRECEDING_DOLLOR

          public static final java.lang.String PRECEDING_DOLLOR

      See Also:
        Constant Field Values

    - #### C_DOLLOR

          public static final int C_DOLLOR

      The Dollar character
      See Also:
        Constant Field Values

    - #### C_USOCRE

          public static final int C_USOCRE

      The underscore character
      See Also:
        Constant Field Values

    - #### ID_KEY

          public static final java.lang.String ID_KEY

      See Also:
        Constant Field Values

    - #### SYNAPSE_COMMONS_JSON_PRESERVE_NAMESPACE

          public static final java.lang.String SYNAPSE_COMMONS_JSON_PRESERVE_NAMESPACE

      See Also:
        Constant Field Values

    - #### SYNAPSE_COMMONS_JSON_BUILD_VALID_NC_NAMES

          public static final java.lang.String SYNAPSE_COMMONS_JSON_BUILD_VALID_NC_NAMES

      See Also:
        Constant Field Values

    - #### SYNAPSE_COMMONS_JSON_OUTPUT_AUTO_PRIMITIVE

          public static final java.lang.String SYNAPSE_COMMONS_JSON_OUTPUT_AUTO_PRIMITIVE

      See Also:
        Constant Field Values

    - #### SYNAPSE_COMMONS_JSON_OUTPUT_NAMESPACE_SEP_CHAR

          public static final java.lang.String SYNAPSE_COMMONS_JSON_OUTPUT_NAMESPACE_SEP_CHAR

      See Also:
        Constant Field Values

    - #### SYNAPSE_COMMONS_JSON_OUTPUT_ENABLE_NS_DECLARATIONS

          public static final java.lang.String SYNAPSE_COMMONS_JSON_OUTPUT_ENABLE_NS_DECLARATIONS

      See Also:
        Constant Field Values

    - #### SYNAPSE_COMMONS_JSON_OUTPUT_DISABLE_AUTO_PRIMITIVE_REGEX

          public static final java.lang.String SYNAPSE_COMMONS_JSON_OUTPUT_DISABLE_AUTO_PRIMITIVE_REGEX

      See Also:
        Constant Field Values

    - #### SYNAPSE_COMMONS_JSON_OUTPUT_JSON_OUT_AUTO_ARRAY

          public static final java.lang.String SYNAPSE_COMMONS_JSON_OUTPUT_JSON_OUT_AUTO_ARRAY

      See Also:
        Constant Field Values

    - #### SYNAPSE_COMMONS_JSON_OUTPUT_JSON_OUT_MULTIPLE_PI

          public static final java.lang.String SYNAPSE_COMMONS_JSON_OUTPUT_JSON_OUT_MULTIPLE_PI

      See Also:
        Constant Field Values

    - #### SYNAPSE_COMMONS_JSON_OUTPUT_XML_OUT_AUTO_ARRAY

          public static final java.lang.String SYNAPSE_COMMONS_JSON_OUTPUT_XML_OUT_AUTO_ARRAY

      See Also:
        Constant Field Values

    - #### SYNAPSE_COMMONS_JSON_OUTPUT_XML_OUT_MULTIPLE_PI

          public static final java.lang.String SYNAPSE_COMMONS_JSON_OUTPUT_XML_OUT_MULTIPLE_PI

      See Also:
        Constant Field Values

    - #### SYNAPSE_COMMONS_JSON_OUTPUT_EMPTY_XML_ELEM_TO_EMPTY_STR

          public static final java.lang.String SYNAPSE_COMMONS_JSON_OUTPUT_EMPTY_XML_ELEM_TO_EMPTY_STR

      See Also:
        Constant Field Values

    - #### SET_CONTENT_TYPE_CHARACTER_ENCODING

          public static final java.lang.String SET_CONTENT_TYPE_CHARACTER_ENCODING

      See Also:
        Constant Field Values

    - #### SYNAPSE_JSON_TO_XML_PROCESS_INSTRUCTION_ENABLE

          public static final java.lang.String SYNAPSE_JSON_TO_XML_PROCESS_INSTRUCTION_ENABLE

      Property to inform Staxon library to include xml multiple processing instruction in JSON -> XML transformation
      See Also:
        Constant Field Values

    - #### ORG_APACHE_SYNAPSE_COMMONS_JSON_JSON_INPUT_STREAM

          public static final java.lang.String ORG_APACHE_SYNAPSE_COMMONS_JSON_JSON_INPUT_STREAM

      See Also:
        Constant Field Values

    - #### SYNAPSE_COMMONS_ENABLE_XML_NIL_READ_WRITE

          public static final java.lang.String SYNAPSE_COMMONS_ENABLE_XML_NIL_READ_WRITE

      See Also:
        Constant Field Values

    - #### SYNAPSE_COMMONS_JSON_DISABLE_AUTO_PRIMITIVE_CUSTOM_REPLACE_REGEX

          public static final java.lang.String SYNAPSE_COMMONS_JSON_DISABLE_AUTO_PRIMITIVE_CUSTOM_REPLACE_REGEX

      See Also:
        Constant Field Values

    - #### SYNAPSE_COMMONS_JSON_DISABLE_AUTO_PRIMITIVE_CUSTOM_REPLACE_SEQUENCE

          public static final java.lang.String SYNAPSE_COMMONS_JSON_DISABLE_AUTO_PRIMITIVE_CUSTOM_REPLACE_SEQUENCE

      See Also:
        Constant Field Values

    - #### SYNAPSE_COMMONS_ENABLE_XML_NULL_FOR_EMPTY_ELEMENT

          public static final java.lang.String SYNAPSE_COMMONS_ENABLE_XML_NULL_FOR_EMPTY_ELEMENT

      See Also:
        Constant Field Values

    - #### PRESERVE_SPACES

          public static final java.lang.String PRESERVE_SPACES

      See Also:
        Constant Field Values

Copyright © 2005-2022 Apache Software Foundation. All Rights Reserved.